<?php

namespace Lc\SovBundle\Repository\Site;

use Lc\SovBundle\Repository\AbstractStore;
use Lc\SovBundle\Repository\RepositoryQueryInterface;

class SiteStore extends AbstractStore implements SiteStoreInterface
{
    protected SiteRepositoryQueryInterface $query;

    public function __construct(SiteRepositoryQueryInterface $query)
    {
        $this->query = $query;
    }

    public function orderByDefault(RepositoryQueryInterface $query): RepositoryQueryInterface
    {
        return $query;
    }

    public function filtersDefault(RepositoryQueryInterface $query): RepositoryQueryInterface
    {
        return $query;
    }

    public function relationsDefault(RepositoryQueryInterface $query): RepositoryQueryInterface
    {
        return $query;
    }

    public function getOneDefault()
    {
        return $this->getOneByDevAlias('default');
    }
}
